$(document).ready(function() {
    $("#sendToEmailButton").click(sendButtonClick);
    
    var d = new Date();
    
    var day = d.getDate();
    // month = 0 - 11
    var month = (d.getMonth() + 1).toString();
    var year = d.getFullYear();
    var hours = d.getHours();
	// mm = 0 - 59, for example '8'
    var mins = d.getMinutes();
    if (mins < 10){
    	mins = "0" + mins.toString()
    }

    $("#date").append(day + "." + month + "." + year + " " + hours + ":" + mins);
    
    $("img").click(expandAndCollapse);
});

function expandAndCollapse(){
    //alert("lol");
    if ($(this).attr("src") == "img/expand.png"){
    	$(this).attr("src", "img/collapse.png");
    	$(this).parent().parent().removeClass("hideList");
    }
    else if ($(this).attr("src") == "img/collapse.png"){
    	$(this).attr("src", "img/expand.png");
    	$(this).parent().parent().addClass("hideList");
    }
}

function sendButtonClick(){
	
	//FIXME: construct the raw textdata in email_sender.py.
	
	var data = ""    
    
	data += $("#name").val() + "\n";
	data += $("#emailAddress").val() + "\n";
	data += $("#date").text() + "\n\n\n";
    
    divs = document.getElementsByTagName("div");
    for (var i = 0; i < divs.length; i++){
        data += divs[i].getElementsByTagName("h2")[0].lastChild.nodeValue + "\n";
        data += divs[i].getElementsByTagName("p")[0].firstChild.nodeValue + "\n";
        
        lis = divs[i].getElementsByTagName("li");
        
        for (var j = 0; j < lis.length; j++){
        	if(lis[j].getAttribute("class") == "1"){
        		data += lis[j].firstChild.nodeValue + "\n";
        	}
        	else if(lis[j].getAttribute("class") == "2"){
        		data += "    " + lis[j].firstChild.nodeValue + "\n";
        	}
        	else if(lis[j].getAttribute("class") == "3"){
        		data += "        " + lis[j].firstChild.nodeValue + "\n";
        	}
        	
        }
        data += "\n\n";
    }   
    
    data = escape(data)
	
    $.ajax({
        type: 'POST',
        url: 'email_sender.py',
        data: "email=" + $("#emailAddress").val() + "&data=" + data,
        success: emailSent,
        error: emailError
	});
}

function emailError(XMLHttpRequest, textStatus, error) {
    //alert("VIRHE: Sähköpostia ei voitu lähettää.");
    alert(XMLHttpRequest.responseText + " " + textStatus.responseText + " " + error);
}

function emailSent(data, textStatus, XMLHttpRequest) {
    if (XMLHttpRequest.responseText == "<status>200 OK</status>"){
        alert("Sähköposti lähetetty!");    
    }
    else{
        alert("VIRHE: Sähköpostin lähettäminen epäonnistui. Tarkasta että olet syöttänyt sähköpostiosoitteesi oikein!");
    }
}
